security_status 为 pending。
所需权限:
skill:modify路径参数
string
required
技能 ID
请求体
object
required
已上传的技能包。
string
该版本的发布说明。
响应
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X POST 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/9d4e7a1b2c3f4e5d8a6b0c1d2e3f4a5b.zip"
},
"changelog": "Add analyst consensus to the summary table"
}'
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 3,
"changelog": "Add analyst consensus to the summary table",
"security_status": "pending",
"created_at": "2026-09-30T02:41:07Z"
}
}
通过发布新版本替换技能包
curl -X POST 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/9d4e7a1b2c3f4e5d8a6b0c1d2e3f4a5b.zip"
},
"changelog": "Add analyst consensus to the summary table"
}'
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 3,
"changelog": "Add analyst consensus to the summary table",
"security_status": "pending",
"created_at": "2026-09-30T02:41:07Z"
}
}
POST /openapi/memorylake/api/v3/skills/{id}/versions
security_status 为 pending。
skill:modifycurl -X POST 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions' \
-H 'Authorization: Bearer sk_xxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"package_ref": {
"s3_uri": "s3://example-bucket/skill-packages/9d4e7a1b2c3f4e5d8a6b0c1d2e3f4a5b.zip"
},
"changelog": "Add analyst consensus to the summary table"
}'
| 状态码 | 错误码 | 何时出现 |
|---|---|---|
400 | INVALID_ARGUMENT | package_ref.s3_uri 不是由申请技能包上传签发的、该地址上没有上传内容,或技能包为空或超过 10 MiB |
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 3,
"changelog": "Add analyst consensus to the summary table",
"security_status": "pending",
"created_at": "2026-09-30T02:41:07Z"
}
}